Pause Call Recording
Pause the call recording to avoid sensitive information being recorded.
Request URL
POST {base_url}/{api_path}/call/record_pause?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| channel_id | Yes | String | The call channel ID of the member that want to pause the call recording. Note: You can obtain the call channel ID in the (30011) Call State Changed event. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| call_id | String | The unique ID of each call. |
Examples
Request example
Extension 2002 pauses the call recording.
POST /openapi/v1.0/call/record_pause?access_token=FOSUNQ8t3J24xiCgszfPRG0PxjUfsb8p HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"channel_id": "PJSIP/2002-00000076"
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"call_id": "1648717816.195"
}